#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from sqlalchemy.orm import Session
from sqlalchemy import text, exists, and_, or_, not_
from sqlalchemy.sql import func
from database import get_db
from models import *
from extensions import logger
from utils import *
from common.auth_user import AuthUser
from common.enc import sys_czrz_data

def log(db: Session, user: AuthUser, action: str, czrz: str, ip: str = ''):
    db_entity = CzrzEntity()
    db_entity.user_id = user.user_id
    db_entity.user_name = user.user_name
    db_entity.nick_name = user.nick_name
    db_entity.czrz = czrz
    db_entity.gxsj = datetime.now()
    db_entity.ip = ip
    db_entity.action = action
    db.add(db_entity)
    db.commit()
    db.refresh(db_entity)

    sys_czrz_data.sign_row(db, db_entity)

def log_username(db: Session, user_id: int, user_name: str, nick_name: str, action: str, czrz: str, ip: str = ''):
    db_entity = CzrzEntity()
    db_entity.user_id = user_id
    db_entity.user_name = user_name
    db_entity.nick_name = nick_name
    db_entity.czrz = czrz
    db_entity.gxsj = datetime.now()
    db_entity.ip = ip
    db_entity.action = action
    db.add(db_entity)
    db.commit()
    db.refresh(db_entity)

    sys_czrz_data.sign_row(db, db_entity)
